header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9999;
  padding: 10px 0;
  transition: all .35s ease;
   background: var(--white);
   box-shadow: 0 5px 20px rgba(0,0,0,0.05);
}

header.scrolled {
  background: var(--white);
  padding: 10px 0;
  box-shadow: 0 5px 20px rgba(0,0,0,0.05);
}

.nav-container {
  margin: auto;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 25px;
}

.logo img {
  height: 80px;
  transition: all .35s ease;
}

header.scrolled .logo img {
  height: 50px;
}

/* ================= MENU BASE ================= */

.nav-menu {
  position: fixed;
  top: 0;
  right: -100%;
  width: 100%;
  height: 100vh;
  background: var(--dark);
  padding: 0px 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 25px;
  transition: .35s;
}

.nav-menu.active {
  right: 0;
}

.nav-menu a {
  color: var(--white);
  text-decoration: none;
  font-size: 15px;
  letter-spacing: .05em;
  font-weight: 500;
  transition: opacity .3s;
}

.nav-menu a:hover {
  opacity: .7;
}

/* ================= HAMBURGUESA ================= */

.menu-toggle {
  display: flex;
  flex-direction: column;
  cursor: pointer;
}

.menu-toggle span {
  display: block;
  background: var(--dark);
  height: 2px;
  margin: 3px 0;
  transition: .3s;
}

.menu-toggle span:nth-child(1) {
  width: 32px;
}

.menu-toggle span:nth-child(2) {
  width: 24px;
}

.menu-toggle span:nth-child(3) {
  width: 16px;
}

/* estado scrolled */

header.scrolled .menu-toggle span {
  background: var(--dark);
}

/* CLOSE */

.menu-close {
  display: block;
  position: absolute;
  top: 25px;
  right: 25px;
  color: var(--white);
  font-size: 26px;
  cursor: pointer;
}

/* ================= SUBMENU ================= */

.menu-item {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.has-submenu span {
  color: var(--white);
  font-size: 16px;
  letter-spacing: .05em;
  cursor: pointer;
}

.submenu {
  max-height: 0;
  overflow: hidden;
  transition: .3s;
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 10px;
  text-align: center;
}

.has-submenu.active .submenu {
  max-height: 500px;
}

.submenu a {
  font-size: 12px;
  color: #aaa;
  text-transform: uppercase;
  border-bottom: 1px dotted #504f4f;
  padding-bottom: 5px;
}

.submenu a:hover {
  color: var(--white);
}

@media(max-width:991px) {
  .nav-menu, .menu-item, .submenu {
    text-align: left;
    align-items: flex-start;
  }
  .logo img {
    height: 60px;
  }
}